%define	_exec_prefix	/

Summary:	The GNU line editor
Name:		ed
Version:	1.7
Release:	%mkrel 2
License:	GPLv3+
Group:		Editors
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.gz

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%prep
%setup -q

%build
%configure2_5x --bindir=/bin CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
%make

%check
# all tests must pass
make check

%install

%makeinstall_std

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS TODO ChangeLog
/bin/ed
/bin/red
%{_infodir}/ed.info*
%{_mandir}/*/*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 349481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 1.7-1.mga3
+ Revision: 322220
- new version 1.7

* Fri Oct 26 2012 malo <malo> 1.6-2.mga3
+ Revision: 310375
- spec clean-up
- fix RPM group

* Mon Jan 02 2012 boklm <boklm> 1.6-1.mga2
+ Revision: 189749
- version 1.6

* Sat Jan 08 2011 blino <blino> 1.5-1.mga1
+ Revision: 1007
- imported package ed

